import { FieldConfigMetadata } from '@aws-amplify/codegen-ui/lib/types';
export declare const buildDataStoreExpression: (dataStoreActionType: 'update' | 'create', importedModelName: string, hasManyFieldConfigs: [string, FieldConfigMetadata][]) => (import("typescript").ExpressionStatement | import("typescript").VariableStatement)[];
/**
  example: const validationResponses = await Promise.all(
    Object.keys(validations).reduce((promises, fieldName) => {
      if (Array.isArray(modelFields[fieldName])) {
        promises.push(
          ...modelFields[fieldName].map((item) =>
            runValidationTasks(fieldName, item, getDisplayValue[fieldName]),
          ),
        );
        return promises;
      }
      promises.push(runValidationTasks(fieldName, modelFields[fieldName], getDisplayValue[fieldName]));
      return promises;
    }, []),
  );
  if (validationResponses.some((r) => r.hasError)) {
    return;
  }
*/
export declare const onSubmitValidationRun: (shouldUseGetDisplayValue?: boolean | undefined) => (import("typescript").VariableStatement | import("typescript").IfStatement)[];
export declare const buildUpdateDatastoreQuery: (dataTypeName: string, recordName: string) => (import("typescript").ExpressionStatement | import("typescript").VariableStatement)[];
