import { FieldConfigMetadata, StudioFormValueMappings } from '@aws-amplify/codegen-ui';
import { JsxAttribute, PropertyAssignment } from 'typescript';
export declare const getDisplayValueObjectName = "getDisplayValue";
export declare function extractModelAndKey(valueMappings?: StudioFormValueMappings): {
    model?: string;
    key?: string;
};
/**
    example:
    options={authorRecords.map(r) => ({
        id: r.id,
        label: getDisplayValue['primaryAuthor']?.(r) ?? r.id,
    }))}
 */
export declare function getAutocompleteOptionsProp({ fieldName, fieldConfig, }: {
    fieldName: string;
    fieldConfig: FieldConfigMetadata;
}): JsxAttribute;
export declare function getDisplayValueObject(displayValueFunctions: PropertyAssignment[]): import("typescript").VariableStatement;
export declare function buildDisplayValueFunction(fieldName: string, fieldConfig: FieldConfigMetadata): PropertyAssignment;
export declare function getModelsToImport(fieldConfig: FieldConfigMetadata): string[];
